Bug Hunting Session
Bug 63325 - Resizing a WMV video crashes Impress. (type WMV1, not WMV2 or WMV3)
Summary: Resizing a WMV video crashes Impress. (type WMV1, not WMV2 or WMV3)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-09 16:40 UTC by Richard Neill
Modified: 2013-06-23 05:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace (38.80 KB, text/x-log)
2013-04-09 16:46 UTC, Richard Neill
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Neill 2013-04-09 16:40:54 UTC
Here's how to instantly crash Impress.

1. Start Impress.
2. Insert Movie or sound.
3. Browse to a .wmv file   (of type WMV1)
4. A thumbnail appears, with the usual 8-point drag handles.
5. Drag the bottom corner downwards to increase the size.
6. Boom. Impress crashes instantly, and the window vanishes.

Details:

1. This ONLY happens to .wmv files in format WMV1. The WMV2 and WMV3 (and .AVI) files are unaffected. I tested this with several different videos of each type.

2. One such problematic video is identified by mplayer as:

VIDEO:  [WMV1]  320x240  24bpp  1000.000 fps  189.0 kbps (23.1 kbyte/s)
AUDIO: 32000 Hz, 2 ch, s16le, 32.0 kbit/3.12% (ratio: 4000->128000)

another is identified as:

VIDEO:  [WMV1]  640x480  24bpp  1000.000 fps    0.0 kbps ( 0.0 kbyte/s)
AUDIO: 8000 Hz, 1 ch, s16le, 0.1 kbit/0.10% (ratio: 16->16000)

this latter one is one of the Microsoft sample vidoes shipped with Windows XP; you can find it at C://system32/oobe/images/intro.wmv

3. Simply inserting the video, (not resizing it), and then going to slideshow (F5) works fine, and the video is played back ok.

4. Mplayer has no problem playing back the video.

5. This is on Ubuntu 64-bit Raring Ringtail.
 
6. Although launched from the command-line, I see no "dying message", and nothing helpful when I strace it.

7. Aside: I also saw this in 4.0.1.2, though sometimes rather than a crash, LO would hang with the cursor still grabbed, and prevent window repainting.

I hope this is a helpful bug report; let me know if there's more I can help with.
Comment 1 Richard Neill 2013-04-09 16:46:34 UTC
Created attachment 77680 [details]
Backtrace

This is a backtrace from doing:

1. soffice --backtrace
2. Cancel document recovery prompt
3. New presentation.
4. insert video.
5. Try to Resize video.
6. Crash

HTH
Comment 2 Julien Nabet 2013-04-11 19:41:58 UTC
Joel/Michael: I think a gstreamer bug and bt may interest you.
Comment 3 Richard Neill 2013-04-11 20:35:23 UTC
(In reply to comment #2)
> Joel/Michael: I think a gstreamer bug and bt may interest you.

Sorry, I'm not quite sure I understand you.

But, it might be helpful for me to add that the file plays perfectly OK in totem, which a gstreamer-based movie player.
Comment 4 Julien Nabet 2013-04-11 20:39:21 UTC
Richard: my previous comment was for 2 people I put in cc on this bugtracker. Both may provide some help about this bug.
Comment 5 Joel Madero 2013-06-23 04:19:25 UTC
Sorry this one slipped through the radar for me - what would help a lot is having a wmv1 file to test on (short one to limit size). 

I found this file: http://archive.org/details/Windows7WildlifeSampleVideo which I believe is wmv1 (WMP7) and I was able to resize no problem with 4.2 master built a a week or so ago.

Marking as NEEDINFO - if it's still a problem with 4.0.4 if you could get a test file that resizing causes crashing that would be great. once this is done mark as UNCONFIRMED and I will try to reproduce quickly and move it forward. 

Also, was this a problem with 3.6 or below?

You have a test file but it's from XP - the bug is marked as Linux(all) so getting to a file on Windows is tough for us Linux QA people :)
Comment 6 Richard Neill 2013-06-23 04:51:42 UTC
I found one short video here, which is only 330 kB, and in the right format:
http://sydesjokes.com/page.php?v1=How%20Not%20To%20Tow%20A%20Boat&v2=how_not_to_tow_a_boat.wmv&v3=v&v4=Video_Clips_Aviation

VIDEO:  [WMV1]  320x240  24bpp  1000.000 fps   80.0 kbps ( 9.8 kbyte/s)
AUDIO: 16000 Hz, 1 ch, floatle, 16.0 kbit/3.12% (ratio: 2000->64000)

In LO version 4.0.2.2 (on Ubuntu Raring 64-bit), I can reproduce the bug, to the extent that Impress just hangs, with a cursor-grab till I xkill it.

In LO version 4.0.3.3 (Mageia 3, 64-bit), it works fine (resizing and playback), as does the WindowsXP sample I originally used.

So, while it would be worth double-checking that the how-not-to-tow-a-boat video works for you as well, I think we can close this bug as fixed. Thanks for your help.
Comment 7 Joel Madero 2013-06-23 05:29:39 UTC
Excellent news - verified that it's now fixed.